Files
wmaker/debian/wmaker-common.postinst
T

42 lines
854 B
Bash
Raw Normal View History

2012-01-29 17:07:10 +01:00
#!/bin/sh
set -e
2011-10-02 01:50:07 +02:00
# Window Maker postinst.
#
# Marcelo Magallon <mmagallo@debian.org>
2012-01-29 17:07:10 +01:00
# Rodolfo "kix" García <kix@kix.es>
2011-10-02 01:50:07 +02:00
inst="/etc/menu-methods/wmaker /etc/menu-methods/wmappearance"
case "$1" in
configure)
for file in $inst ; do
if [ -f $file ] ; then
chmod a+x $file
fi
done
if [ -x /usr/bin/update-menus -a -x /usr/bin/install-menu ] ; then
2012-03-03 18:04:07 +01:00
# Remove the menu.hook from all the possible paths.
rm -f /etc/X11/WindowMaker/menu.hook
rm -f /usr/share/WindowMaker/menu.hook
# Remove appearance.menu
rm -f /usr/share/WindowMaker/appearance.menu
2011-10-02 01:50:07 +02:00
update-menus
fi
;;
abort-upgrade|abort-deconfigure|abort-remove)
# how did we got here? Force a non-zero exit code
exit 1
;;
*)
echo "postinst called with unkown argument: \$1" >&2
;;
esac
#DEBHELPER#
exit 0